IE11 - Episerver.Forms js error

Vote:
 

Hello, 

We're facing an issue using Epi forms on IE11. One of the scripts injected using: @Html.RequiredClientResources("Footer") is throwing a syntax error on IE11. 

In particular, it's this line: 

ValidationInfo.find(e=>e.targetElementId===l||e.targetElementName===l)

it seems to be using arrow functions (not supported by IE11). 

As it is being injected in the server we're not able to transpile it neither modify it. 

Versions:

<package id="EPiServer.Forms" version="4.28.0" targetFramework="net462" />
  <package id="EPiServer.Forms.Core" version="4.28.0" targetFramework="net462" />
  <package id="EPiServer.Forms.Samples" version="3.6.0" targetFramework="net462" />
  <package id="EPiServer.Forms.UI" version="4.28.0" targetFramework="net462" />

We've discovered that using the 4.27.0 version the error is gone, so most likely there's something wrong with the 4.28.0. 

Anyone having the same issue?

Any help is going to be appreciated. Thanks!

#222232
Apr 30, 2020 20:40
Vote:
 

Hi R_Ramiro,

According to Episerver system requirementsEpiserver Forms is only supported by MVC-based websites and HTML5-compliant browsers.

Is IE 11 HTML5 compliant? According to this website, I would say no:https://html5test.com/results/desktop.html .

#222265
May 01, 2020 15:27
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.